// Copyright (c) 2023 OPEN CASCADE SAS
//
// This file is part of Open CASCADE Technology software library.
//
// This library is free software; you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License version 2.1 as published
// by the Free Software Foundation, with special exception defined in the file
// OCCT_LGPL_EXCEPTION.txt. Consult the file LICENSE_LGPL_21.txt included in OCCT
// distribution for complete text of the license and disclaimer of any warranty.
//
// Alternatively, this file may be used under the terms of Open CASCADE
// commercial license or contractual agreement.

#include <XCAFAnimObjects_Operation.hxx>

IMPLEMENT_STANDARD_RTTIEXT(XCAFAnimObjects_Operation, Standard_Transient)

//=======================================================================
//function : XCAFAnimObjects_Operation
//purpose  :
//=======================================================================
XCAFAnimObjects_Operation::XCAFAnimObjects_Operation(const bool theIsInverse) :
  myIsInverse(theIsInverse)
{}

//=======================================================================
//function : XCAFAnimObjects_Operation
//purpose  :
//=======================================================================
XCAFAnimObjects_Operation::XCAFAnimObjects_Operation(const NCollection_Array1<double>& theTimeStamps,
                                                     const bool theIsInverse) :
  myIsInverse(theIsInverse),
  myTimeStamps(theTimeStamps)
{}

//=======================================================================
//function : XCAFAnimObjects_Operation
//purpose  :
//=======================================================================
XCAFAnimObjects_Operation::XCAFAnimObjects_Operation(const Handle(XCAFAnimObjects_Operation)& theOperation) :
  myIsInverse(theOperation->myIsInverse),
  myTimeStamps(theOperation->myTimeStamps)
{}
